--- ./Setup.hs.orig	2010-03-29 16:24:56.000000000 +0200
+++ ./Setup.hs	2010-06-05 04:25:21.000000000 +0200
@@ -1,3 +1,4 @@
+{-# OPTIONS_GHC -cpp #-}
 import Distribution.Simple
 import Distribution.Simple.Setup
          (copyDest, copyVerbosity, fromFlag, installVerbosity, BuildFlags(..))
@@ -6,7 +7,7 @@
 import Distribution.Simple.LocalBuildInfo
          (LocalBuildInfo(..), absoluteInstallDirs)
 import Distribution.Verbosity ( Verbosity, silent )
-import Distribution.Simple.InstallDirs (mandir, bindir, CopyDest (NoCopyDest))
+import Distribution.Simple.InstallDirs (prefix, bindir, CopyDest (NoCopyDest))
 import Distribution.Simple.Utils (copyFiles)
 import Control.Exception ( bracket_ )
 import Control.Monad ( unless )
@@ -24,6 +25,7 @@
 main = do
   defaultMainWithHooks $ simpleUserHooks {
       runTests  = runTestSuite
+#if %%BUILDING_EXECUTABLE%%
     , postBuild = makeManPages 
     , postCopy = \ _ flags pkg lbi -> do
          installManpages pkg lbi (fromFlag $ copyVerbosity flags)
@@ -33,6 +35,7 @@
     , postInst = \ _ flags pkg lbi -> do
          installManpages pkg lbi (fromFlag $ installVerbosity flags) NoCopyDest
          installScripts pkg lbi (fromFlag $ installVerbosity flags) NoCopyDest
+#endif
     }
   exitWith ExitSuccess
 
@@ -86,7 +89,7 @@
 installManpages :: PackageDescription -> LocalBuildInfo
                 -> Verbosity -> CopyDest -> IO ()
 installManpages pkg lbi verbosity copy =
-  copyFiles verbosity (mandir (absoluteInstallDirs pkg lbi copy) </> "man1")
+  copyFiles verbosity (prefix (absoluteInstallDirs pkg lbi copy) </> "man/man1")
              (zip (repeat manDir) manpages)
 
 -- | Returns a list of 'dependencies' that have been modified after 'file'.
